const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Bolaang Mongondow',
    'Kabupaten Bolaang Mongondow Selatan',
    'Kabupaten Bolaang Mongondow Timur',
    'Kabupaten Bolaang Mongondow Utara',
    'Kabupaten Kepulauan Sangihe',
    'Kabupaten Kepulauan Siau Tagulandang Biaro (Sitaro)',
    'Kabupaten Kepulauan Talaud',
    'Kabupaten Minahasa',
    'Kabupaten Minahasa Selatan',
    'Kabupaten Minahasa Tenggara',
    'Kabupaten Minahasa Utara',
    'Kota Bitung',
    'Kota Kotamobagu',
    'Kota Manado',
    'Kota Tomohon'

    // 15
];

exports.seedSulawesiUtaraCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Sulawesi Utara' },
    });

    if (!province) {
        console.error('❌ Province Sulawesi Utara not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: { updatedAt: timeLocal.now().toDate() },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Sulawesi Utara City seeded!.');
};